[en] Experimental repository available!

Follow

Comments

61 comments

  • Avatar
    Alex Iribarren

    I've updated to the latest version (0.66, according to /etc/aisoy-version) but I don't see any checkbox it the botserver upgrade screen, all I see is this:

    "

    Hi !

    Here you can update your Aisoy1.

     

    Your Aisoy is not registered, please register it in the Aisoy website, in section Profile > My AISoy.

    "

    I do have this, though:

    root@AlBot:~# cat /etc/apt/sources.list
    deb http://mirrordirector.raspbian.org/raspbian/ wheezy main contrib non-free rpi
    deb http://packages.aisoy.com/debian/ wheezy unstable

    Should I really have the unstable repo in there? Should I change that to main? My robot doesn't work at all, perhaps I have buggy packages.

  • Avatar
    Support

    Hi Alex,

    to update your robot you have to register your AISoy first. As indicated in the message you got, you can do it in  Aisoy website, in section Profile > My AISoy.

    Regards,

    AISoy Team

  • Avatar
    Alex Iribarren

    It is registered (see incident #259), but my robot doesn't know this. It might be because the startup script that calls bot.aisoy.com/bot/ (I forgot the name of the script, something like /opt/aisoy/scripts/boot/iptoserver.py) fails with a 500 error while trying to contact your server.

  • Avatar
    Support

    Hi Alex,

    don't worry about the 500 error, that's "normal". You should see the checkbox anyway... Are you sure your internet connection is correct when accessing the botserver?

  • Avatar
    Support

    If you still continue having problems, we strongly recommend you to flash your SD as indicated in:

    https://aisoy.zendesk.com/entries/29619146-How-to-flash-your-SD-card

    Then just follow the same steps indicated in this post.

    Regards,

    AISoy Team

  • Avatar
    Eduardo Perez

    Hello I am trying to update to the latest experimental release from the actual stable version 0.53.

    I have tried many times without success because it gets stuck in the part of the process where its checking the sensors. 
    In the screen appears something like SENSOR BLABLA: says 1 when its supposed to be 5. ( or something similar). I apologize since I don't have the screenshot.
    Also, since it is stuck there it doesn't connect to eth0. I have tried it 3 times and always end up flashing the sd card.

    Do you have an idea what could it be? Regards.

     

  • Avatar
    Eduardo Perez

    I apologize...I forgot to mention that it says it cannot connect to freedom.
    regards.

  • Avatar
    GARNIER Willy

    Hello,

     

    I tried to update my Aisoy with experimental repository.

    It is OK for 0.0 version, installation OK.

    But when I use bitserver, it tells me a new version is available.

    And when I try to update, it tells me I have a network error, check your internet connection.

     

    Willy

  • Avatar
    Eduardo Perez

    Willy,

    I have noticed that when it says connection error it is because the RPi is not connected to the NXP LPC uController located inside the aisoy. Just shutdown the aisoy and the Rpi and restart everything and it should boot. 

    For me 0.0 was ok. I changed to the newest experimental version and it boots fine. However, when I follow activation process the aisoy and input the code I receive in my email I receive a message that says hwID could not be set due to connection error and to try again. I commented this (it seems a bug) and still waiting for an answer. For now, my aisoy is sitting there. 

     

  • Avatar
    Support

    Hi Eduardo,

    if you get some connections problem with the freedom board, the update process will fail, the board needs to update its firmware. I don't want you to loose more time, so if you haven't made it yet write me an email directly to pgarcia@aisoy.com.

    Thanks for your feedback!

    best regards,

    AISoy Team

  • Avatar
    Support

    Hi Willy,

    as you said it's a bug. For the moment you can solve it installing a previous version of the botserver,

    sudo apt-get install aisoy-botserver=0.50s2

    then you can update again from the experimental repository.

    If you still have problems let us know.

    Thanks!

    Best regards,

    AISoy Team

  • Avatar
    Lloyd Fitchen

    Ok still getting this same exact bug issue as all of these people above me here is this Post, please help with this.

  • Avatar
    Support

    Hi all,

    we really apologize for the problems we all are having updating the robot. We have been working hard these day solving some bugs and now you shouldn't have problems updating, in both the normal way (stable version) and the experimental. If you have any problem don't hesitate to tell us or to start the process by flashing the SD card and updating again:

    https://aisoy.zendesk.com/entries/43432526-How-to-reinstall-completely-the-firmware-and-O-S-of-your-Aisoy1

    Best regards,

    AISoy Team

  • Avatar
    Lloyd Fitchen

    Ok . Now the new bug is e-mails does not match the robots Id. any idea?

  • Avatar
    Support

    Hi Lloyd,

    I supose you registered your robot in www.aisoy.com, don't you? If you already did, tell us your your robot's serial ID (on a sticker at the base of the robot) and we will check the registration status.

    Regards,

    AISoy Team

  • Avatar
    Lloyd Fitchen

    It is working . Yea! congrats!

  • Avatar
    Support

    Hi Lloyd,

    We are glad to hear that! Now you are in the experimental version, and as you will notice there are many things to improve. We will really apreciate if you could tell us your impressions, what would you change, or any possible bug may find.

    Best regards,

    AISoy Team

  • Avatar
    Lloyd Fitchen

    Hi, Ok a little cheat sheet would be really nice for the new Bot server, like how some of these boot options work, and I guess you know the wifi update section is not updating the wifi. Just so many new ways

    to use the bot server neat, almost don't need putty anymore. Keep up the good work .

    Yours, Lloyd

  • Avatar
    Support

    Hi Lloyd,

    Good idea about the cheatsheet. To the "TO-DO" list! about the wifi it should work. We'll check it.

    Regards,

    AISoy Team

  • Avatar
    Alex Iribarren

    I still can't get my Aisoy to talk. I'm fully up-to-date on the experimental repositories and Aisoy seems to boot correctly. It shows a smile and the led is blue, but it doesn't talk. I've managed to make it talk with a python script (https://aisoy.zendesk.com/entries/27413483--Tutorial-Hello-Word-in-Python-), so I know the speaker works. What could be the problem? What can I try to debug this? I've been trying to look at the logs in the (confusingly-named) /.ros/log/.../ directory, but I can't really make any sense of it...

  • Avatar
    Lloyd Fitchen

    Yes I noticed this all so. I thought it might be in on of them boot options but I have not found that to be the case ether.?

  • Avatar
    Support

    Hi all,

    we made lots of changes in the autonomous mode, and as it is experimental we decided to go step for step. Right now the robot should juast say "My name is... my batterly level is..." and a basic conversation. Anyway, if you can't hear anything it may be happening something. To see if something's going wrong you can check the logs in: /opt/aisoy/logs, or better you can stop all ros nodes and launch them again to see if there are errors or warnings:

    To stop ros: sudo /etc/init.d/ros stop

    To launch everything again: sudo /etc/init.d/ros start

    If you see something strange please, post it here.

    Thanks for your feedback.

    Regards,

    AISoy Team

  • Avatar
    Support

    Hi all,

    we have made new updates to solve some of the known bugs. If botserver lets you update your robot, do it and everything should work fine again. If you can't update because botserver is stuck in the authentication web page, go back to a previous version of botserver:

    sudo apt-get install aisoy-botserver=0.50s2

    and then update as usual. 

    Problems related to upgrade must be solved.

    Regards,

    AISoy Team

  • Avatar
    Toueix philippe

    Hello,

    tried to rollback as explained. the upgrade feature was again unlocked after  "sudo apt-get install aisoy-botserver=0.50s2" but I got a communication error when trying to upgrade.

    So I flashed again my SD from a backuped official version and tried to upgrade again ddirectly to experipental one. This upgrade finish with no erroe, but ROS seems not to launch.  The robot does not speach ... tried to stop/ start  AIROS from botserver , unable to do so. error "AIROS cannot be stopped.

    Tried also to upgrade firmware as proposed on update page I get also an error...

    Hoping my tries help...

    Best Regards

    Philippe

     

     

  • Avatar
    Toueix philippe

    Last comment  : in the loaded expermiental version I no more have the registration dialog with activation code sent by mail.

    regards

    Ph

     

  • Avatar
    Alex Iribarren

    I tried restarting ros and looking at the logs and I saw this error:

    Warning: Could not find Capture element
    /opt/ros/fuerte/stacks/aisoy_airos/bin/chatterNode: symbol lookup error: /opt/ros/fuerte/stacks/aisoy_airos/bin/chatterNode: undefined symbol: _ZNK5Aisoy3Asr14setGrammarFileERKSs
    [chatterNode-1] process has died [pid 5727, exit code 127, cmd /opt/ros/fuerte/stacks/aisoy_airos/bin/chatterNode __name:=chatterNode __log:=/root/.ros/log/8982ff72-b398-11e3-b9fc-e84e06111d0a/chatterNode-1.log].

     

    I've attached the log files, in case there's something else interesting.




    logs.tar.gz
  • Avatar
    Support

    Hi Toueix and Alex. If you don't mind I'm writting an email to both of you so we can detect and solve what is going on. 

    And Toueix, we have disabled the authentication with the code for the moment. I't normal if it doesn't appear anymore.

    Thanks for your help.

    AISoy Team

     

  • Avatar
    Support

    Hi all,

    as you know we are working hard to solve some bugs found in the experimental repository. Now you can update and use AIDIA.

    Anything you find please,  let us know so we can fix it.

    Best regards,

    AISoy Team

  • Avatar
    Lloyd Fitchen

    well that would be nice but, Airos could not stop, so AIDIA will not boot any idea? Isnt Airos a translation node, why is it impossible to stop??

  • Avatar
    Toueix philippe

    Hello,

    Upgraded yesterday evening, works well AIROS Starts and stop, Aida launches well. however, seems to be very slow.

     

    Best regards

     

    Philippe Toueix 

Please sign in to leave a comment.

Powered by Zendesk